--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/cli/dhcpconfig/ResourceBundle.properties	2014-10-07 19:19:32.899429513 +0200
+++ /dev/null	2014-10-07 19:19:32.000000000 +0200
@@ -1,173 +0,0 @@
-#
-# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# ConfigureDhcp & ConfigureBootp messages.
-#
-config_dhcp_configured_error=Error - DHCP service is already configured on this server.
-config_bootp_configured_error=Error - server is already configured as a BOOTP relay agent.
-config_null_datastore_error=Error - cannot configure without resource and path options.
-config_invalid_resource_error=Error - {0} is not a valid resource.
-config_make_location_error=Error - creating location: {0}.
-config_hosts_domain_ignored_error=Error - host domain does not make sense for a host resource type - {0}
-config_lease_error=Error - the lease value specified is not valid.
-config_lease_zero_error=Error - a lease value of zero is not valid.
-config_dns_error=Error - DNS domain or server information is incomplete.
-config_dns_server_error=Error - building the DNS server list. {0}
-config_startup_progress=DHCP server started.
-config_startup_error=Error - starting the DHCP server. {0}
-config_create_conf_progress=Created DHCP configuration file.
-config_writing_conf_error=Error - could not write to the DHCP configuration file. {0}
-config_dhcptab_progress=Created dhcptab.
-config_dhcptab_exists_progress=Dhcptab already exists.
-config_dhcptab_error=Error - creating dhcptab. {0}
-config_locale_progress=Added "Locale" macro to dhcptab.
-config_locale_error=Error - adding locale macro to dhcptab. {0}
-config_server_macro_progress=Added server macro to dhcptab - {0}.
-config_server_macro_error=Error - creating server macro for server {0}. {1}
-
-#
-# ConfigureNetwork messages.
-#
-cfgnet_invalid_network_error=Error - {0} is not a valid network.
-cfgnet_invalid_ip_error=Error - {0} is an invalid address.
-cfgnet_nis_error=Error - NIS domain or server information is incomplete.
-cfgnet_nis_server_error=Error - building the NIS server list. {0}
-cfgnet_network_macro_progress=Added network macro to dhcptab - {0}.
-cfgnet_network_macro_error=Error - creating network macro. {0}
-cfgnet_network_table_progress=Created network table.
-cfgnet_network_table_error=Error - creating network table. {0}
-
-#
-# UnconfigureDhcp messages.
-#
-unconfigure_read_conf_error=Error - reading DHCP configuration file. {0}
-unconfigure_shutdown_progress=DHCP server shutdown.
-unconfigure_no_shutdown_progress=DHCP server not running.
-unconfigure_shutdown_error=Error - shutting down DHCP server. {0}
-unconfigure_server_macro_progress=Deleted the server macro from dhcptab.
-unconfigure_server_macro_error=Error - deleting server macro. {0}
-unconfigure_get_nets_error=Error - determining list of networks. {0}
-unconfigure_network_progress=Deleted table for network {0}.
-unconfigure_network_error=Error - deleting table for network {0}. {1}
-unconfigure_dhcptab_progress=Deleted the dhcptab.
-unconfigure_dhcptab_error=Error - deleting dhcptab. {0}
-unconfigure_remove_conf_progress=Deleted the DHCP configuration file.
-unconfigure_remove_conf_error=Error - deleting DHCP configuration file. {0}
-unconfigure_confirmation=Unconfigure will stop the DHCP service and remove the DHCP configuration file.\nAre you SURE you want to unconfigure the DHCP service?
-
-#
-# ConvertDataStore errors.
-#
-convert_null_datastore_error=Error - cannot convert without resource and path options.
-convert_same_datastore_error=Error - the source data store is the same as destination data store.
-convert_invalid_resource_error=Error - {0} is not a valid resource.
-convert_make_location_error=Error - creating location - {0}.
-convert_dhcptab_progress=Converted dhcptab.
-convert_dhcptab_error=Error - converting dhcptab. {0}
-convert_get_nets_error=Error - failure getting list of networks. {0}
-convert_network_progress=Converted table for network {0}.
-convert_network_error=Error - converting table for network {0}. {1}
-convert_conf_read_error=Error - reading DHCP configuration file. {0}
-convert_conf_write_error=Error - could not write to the DHCP configuration file. {0}
-convert_conf_update_progress=Updated DHCP configuration file with new resource and path.
-convert_delete_network_progress=Deleted old table for network {0}.
-convert_delete_network_error=Error - deleting old table for network {0}. {1}
-convert_delete_dhcptab_progress=Deleted old dhcptab table.
-convert_delete_dhcptab_error=Error - deleting old dhcptab table. {0}
-convert_explanation=\nConverting your data stores will result in your DHCP service being\nstopped, the data stores converted, and the DHCP service restarted.\n
-convert_confirmation=Are you SURE you want to convert the DHCP data stores?
-convert_shutdown_progress=DHCP server shutdown.
-convert_no_shutdown_progress=DHCP server not running.
-convert_shutdown_error=Error - shutting down DHCP server. {0}
-convert_startup_progress=DHCP server started.
-convert_startup_error=Error - starting the DHCP server. {0}
-
-#
-# ExportData messages.
-#
-export_err_message=Export error - {0}
-export_abort=Export aborted!
-export_file_exist_error=Error - file already exists and will not be overwritten - {0}
-export_action_error={0} {1} - {2}
-
-#
-# ImportData messages.
-#
-import_error_msg=Import error - {0}
-import_action_error={0} {1} - {2}
-
-#
-# DhcpCfgFunction messages.
-#
-dhcpcfg_func_not_configured_error=Error - DHCP service is not configured on this server.\nMust execute 'dhcpconfig -D' first.
-
-#
-# Common messages.
-#
-invalid_ip_address={0} is not a valid IP address.
-affirmative=Y
-negative=N
-sighup_failed=Unable to signal the daemon to reload the dhcptab
-
-#
-# DhcpCfg messages.
-#
-dhcpcfg_invalid_arg=Invalid argument - {0}
-dhcpcfg_no_function_error=Error - must specify one of 'D', 'R', 'U', 'N', 'C', 'X', 'I', 'P' or 'S'.
-dhcpcfg_usage=dhcpconfig (options)\n\nWhere (options) is one of:\n\n -D -r (resource) -p (path)  Configure the DHCP service. Sub-options:\n                             [-u (uninterpreted data)]\n                             [-l (lease length)]\n                             [-n]    Leases are not negotiable\n                             [-d (DNS domain)]\n                             [-a (DNS servers)]\n\n -R (server addresses) Configure BOOTP relay service.\n\n -U                    Unconfigure DHCP or BOOTP relay service. Sub-options:\n                       [-f]     No confirmation prompt\n                       [-x]     Delete dhcptab and network tables\n\n -N (network address)  Configure network. Sub-options:\n                       [-m (subnet mask)]\n                       [-t (router addresses)]\n                       [-y (NIS domain)]\n                       [-a (NIS addreses)]\n                       [-b]     Network is point-to-point\n                       [-g]     Signal daemon\n\n -C -r (resource) -p (path)  Convert to new data store. Sub-options:\n                             [-u (uninterpreted data)]\n                             [-f]     No confirmation prompt\n                             [-k]     Do not delete original files\n\n -X (export filename)  Export data. Sub-options:\n                       [-m (macro list)]\n                       [-o (option list)]\n                       [-a (network addresses)]\n                       [-f]     Overwrite an existing export file\n                       [-x]     Delete exported data\n                       [-g]     Signal daemon\n\n -I (import filename)  Import data. Sub-options:\n                       [-f]     Overwrite existing data\n                       [-g]     Signal daemon\n\n -P [parameter[=value]]  Configure or print DHCP server parameters.\n\n -S                    Control the DHCP server. Sub-options:\n                       [-e]     Enable and start the DHCP server\n                       [-d]     Disable and stop the DHCP server\n                       [-r]     Re-enable the DHCP server\n                       [-q]     Query the DHCP server status\n
-
-#
-# ServerParameter errors.
-#
-server_parameter_keyword_missing_error=Error - server parameter missing.
-server_parameter_failed_read_params_error=Error - failed to read DHCP server parameters.
-server_parameter_failed_write_params_error=Error - failed to write DHCP server parameters.
-server_parameter_keyword_bad_keyword_error=Error - invalid DHCP server parameter {0}.
-server_parameter_keyword_set_read_only_error=Error - the DHCP server parameter {0} cannot be changed. 
-server_parameter_keyword_set_bad_value_error=Error - the value {1} is unacceptable for DHCP server parameter {0}.
-server_parameter_keyword_delete_read_only_error=Error - the DHCP server parameter {0} cannot be deleted. 
-server_parameter_keyword_getall_bad_keyword_error=Error - invalid DHCP server parameter {0}.
-server_parameter_keyword_not_set_error=DHCP server parameter {0} is not set.
-server_parameter_get_value={0}
-server_parameter_get_keyword_value={0} {1}
-
-#
-# ConfigureService errors.
-#
-config_service_failed_read_params_error=Error - failed to read DHCP server parameters.
-config_service_failed_write_params_error=Error - failed to write DHCP server parameters.
-config_service_bad_action_error=Error - must specify one of 's', 'e', 'r' or 'q'.
-config_service_failed_enabled_error=Error - failed to enable DHCP server.
-config_service_failed_disabled_error=Error - failed to disable DHCP server.
-config_service_failed_startup_error=Error - failed to start DHCP server.
-config_service_failed_shutdown_error=Error - failed to stop DHCP server.
-config_service_failed_query_error=Error - failed to query DHCP server.
-config_service_state_startup=DHCP server started.
-config_service_state_shutdown=DHCP server shutdown.
-config_service_state_enabled=DHCP server enabled.
-config_service_state_disabled=DHCP server disabled.
-config_service_state_running=DHCP server running.
-config_service_state_stopped=DHCP server stopped.
-